<template>
	<view>
		<combined-title title="消息详情"></combined-title>
		<view class="compDetails">
			<uni-table border stripe emptyText="暂无更多数据">
				<uni-tr>
					<uni-th align="left">消息标题</uni-th>
					<uni-td align="left">{{ detail.title || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">消息内容</uni-th>
					<uni-td align="left">{{ detail.content || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">创建时间</uni-th>
					<uni-td align="left">{{ detail.createTime || '' }}</uni-td>
				</uni-tr>
			</uni-table>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			index: '',
			detail: {},
			messageId: '',
			id: ''
		};
	},
	onLoad(v) {
		this.messageId = v.messageId;
		this.id = v.id;
	},
	onShow() {
		this.getDetail();
	},
	methods: {
		getDetail() {
			this.$reqGet('getMsgDetail', { messageId: this.messageId, id: this.id }).then(res => {
				this.detail = res.data;
			});
		}
	}
};
</script>

<style></style>
